Bug 2622 - MS DOS 7 XCopy copies the same file over and over
MS DOS 7 XCopy copies the same file over and over
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.14a
x86 Windows 98
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-16 18:15 UTC by Michael Lueck
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
Ethereal trace of DOS copying one file forever - Zipped (70.29 KB, application/x-zip-compressed)
2005-04-26 18:37 UTC, Michael Lueck
no flags Details
Ethereal trace of DOS copying one file Working! (14.42 KB, application/x-zip-compressed)
2005-04-26 19:18 UTC, Michael Lueck
no flags Details
Log level 10 of the copy forever issue (2.96 KB, application/x-zip-compressed)
2005-04-30 17:14 UTC, Michael Lueck
no flags Details
Proposed patch (1.97 KB, patch)
2005-05-01 02:25 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Lueck 2005-04-16 18:15:22 UTC
We use MS DOS 7 ala Win98 SE and the M$ client for DOS to logon to Samba 3.0.13
Debian Stable package from samba.org. Also one other unique thing, we have
XCOPY32.EXE copied as XCOPY.EXE thus it is really XCOPY32.EXE we are executing,
just as XCOPY.EXE.  ;-)

Example of failing line of code...
echo f|xcopy u:\foo\bar.txt h:\file.txt

where U: is the drive mapped to the server and H: is a local RAM drive using
XFSDSK. The file is copied over and over and over. This is not consistent for
all files on the server, others copy correctly only one time from the server
drive to the RAM drive.

Please advise if I should, for example, get a log 10 of this behavior or something.
Comment 1 Jeremy Allison 2005-04-17 01:48:30 UTC
This is a known bug we fixed for 3.0.14a.

Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-04-18 05:22:16 UTC
closing
Comment 3 Michael Lueck 2005-04-26 17:02:19 UTC
I just downloaded the Debian 3.0.14a packages from samba.org this evening, and
this exact problem still exists with that version. I just dropped back to 3.0.11
Debian packages on that server. Please advise what I can do to assist with this
problem.
Comment 4 Jeremy Allison 2005-04-26 17:23:06 UTC
Send in a tcpdump or ethereal capture file showing the network traffic between
client and server in this case please.
Jeremy.
Comment 5 Michael Lueck 2005-04-26 18:37:32 UTC
Created attachment 1178 [details]
Ethereal trace of DOS copying one file forever - Zipped

Ethereal trace of DOS copying one file forever
Comment 6 Michael Lueck 2005-04-26 19:18:35 UTC
Created attachment 1179 [details]
Ethereal trace of DOS copying one file Working!

Working test is against 3.0.11 server
Comment 7 Michael Lueck 2005-04-30 17:14:06 UTC
Created attachment 1197 [details]
Log level 10 of the copy forever issue
Comment 8 Jeremy Allison 2005-05-01 00:38:35 UTC
Ok, quick analysis is the difference between working and not is the
server cookie which is 0x72A000080 on working and 0x8FFFFFFFF when not
(hmmm. looks like a -1 thing to me :-).
What filesystem are you using ? Looks like TellDir is returning something
bad at end-of-directory.
Jeremy.
Comment 9 Jeremy Allison 2005-05-01 02:25:33 UTC
Created attachment 1200 [details]
Proposed patch
Comment 10 Jeremy Allison 2005-05-01 02:26:12 UTC
Please try this fix against 3.0.14a - I think it should fix it. Sorry for the
bug, it was some old crufty code that needed fixing up for old SMBsearch calls.
Jeremy.
Comment 11 Jeremy Allison 2005-05-03 00:47:19 UTC
Reported as fixed.
Jeremy.
Comment 12 Gerald (Jerry) Carter 2005-08-24 10:23:30 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.